      subroutine subreadmmf(byr,bmn,bdy,but,bmm,yy)
C
C read extended JPL files
      dimension yy(180,360)
	  character*48 infile
	character*2 BYR,BMN,BDY,BUT,BMM
	do i=1,91
	do k=0,179
	yy(i,k)=0.
	enddo
	enddo
Cpre	 infile='d:\UTEC\2000\MN\tiMMDDUTMM.jYY' 
	 infile='f:\UTEC\2000\MN\tiMMDDUTMM.jYY' 
 	infile(11:12)=byr
	infile(14:15)=bmn
 	infile(29:30)=byr
	infile(19:20)=bmn
	infile(21:22)=bdy
	infile(23:24)=but
	infile(25:26)=bmm
   17	FORMAT(360(1X,F4.1))		   
	OPEN(10,FILE=INFILE,action='READ')
	do i=1,180
	READ (10,17,END=16,ERR=2) (yy(i,k),k=1,360)
		enddo
   16	close(unit=10)
	RETURN
    2 CONTINUE
	       write(*,*) 'INPUT FILE IS NOT IN YOUR DIRECTORY '
	   	pause ' '
	RETURN
	END